import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "dstindex": {
            "title": "DST",
            "caption": "ibizlab",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "lite",
            "viewname": "dstIndex",
            "viewtag": "010508c3fad87c6834d847f3f953b752"
        },
        "dametriceditview": {
            "title": "指标编辑视图",
            "caption": "指标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DAMetricEditView",
            "viewtag": "012642bfe75adfc8995c33c4015b6197"
        },
        "metamodelpickupgridview": {
            "title": "模型选择表格视图",
            "caption": "模型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelPickupGridView",
            "viewtag": "0138cf6fabeea36df7ab578676450e6e"
        },
        "dabuildgridview": {
            "title": "分析表格视图",
            "caption": "分析",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildGridView",
            "viewtag": "0227f6278fe9d3e67b52988f169644b8"
        },
        "tablesynceditview": {
            "title": "ETL表同步编辑视图",
            "caption": "ETL表同步",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "TableSyncEditView",
            "viewtag": "02717597d6257f589b57570846fea30b"
        },
        "dachartgridview": {
            "title": "图表表格视图",
            "caption": "图表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DAChartGridView",
            "viewtag": "05e4236b54e9970342b10d90295ec381"
        },
        "dictoptioneditview": {
            "title": "字典项编辑视图",
            "caption": "字典项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "dict",
            "viewname": "DictOptionEditView",
            "viewtag": "0986ae2314847b586b20edfbb40fc82b"
        },
        "metamodulegridview": {
            "title": "模块表格视图",
            "caption": "模块",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModuleGridView",
            "viewtag": "126d4ecd07541fa535fa503fe1dae602"
        },
        "dabuildmpickupview": {
            "title": "分析数据多项选择视图",
            "caption": "分析",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildMPickupView",
            "viewtag": "127877047149d1b49fde8e285b61118e"
        },
        "metarelationshippickupgridview": {
            "title": "实体关系选择表格视图",
            "caption": "实体关系",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipPickupGridView",
            "viewtag": "12a472fecfce87913dfe7b2eed0abae0"
        },
        "dstsystemeditview": {
            "title": "系统编辑视图",
            "caption": "系统",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemEditView",
            "viewtag": "14f8bfb549eedacb25bad2af453c5ad3"
        },
        "metamodulepickupgridview": {
            "title": "模块选择表格视图",
            "caption": "模块",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModulePickupGridView",
            "viewtag": "17ce052423b847f488d74d3b2ba6bfdf"
        },
        "dstdatasourcepickupview": {
            "title": "数据源数据选择视图",
            "caption": "数据源",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourcePickupView",
            "viewtag": "1bb847c6d4ffd0298789556d4dbe37a7"
        },
        "metarelationshippickupview": {
            "title": "实体关系数据选择视图",
            "caption": "实体关系",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipPickupView",
            "viewtag": "1c07c02dbdabe0de1cd85e6235497549"
        },
        "metarelationshipgridview": {
            "title": "实体关系表格视图",
            "caption": "实体关系",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipGridView",
            "viewtag": "204b909ab7496f579d3688279dd851bb"
        },
        "dstdatasourceeditview": {
            "title": "数据源编辑视图",
            "caption": "数据源",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourceEditView",
            "viewtag": "2c9bb70a801b520dfdc5bc22c56d3aa0"
        },
        "dareportgridview": {
            "title": "报表表格视图",
            "caption": "报表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DAReportGridView",
            "viewtag": "358419facd5dd4c78091ccba4aa69743"
        },
        "dstsystempickupview": {
            "title": "系统数据选择视图",
            "caption": "系统",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemPickupView",
            "viewtag": "3801af2ccbe0dfafc149efc6f0ccb0e5"
        },
        "metafieldeditgridview": {
            "title": "属性表格视图",
            "caption": "属性",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldEditGridView",
            "viewtag": "3cbe2fc7acab1a6f0e7e81f1bd86cd41"
        },
        "metamoduleeditview": {
            "title": "模块编辑视图",
            "caption": "模块",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModuleEditView",
            "viewtag": "40f89ed271da10484bbc509b79958592"
        },
        "metamodelfileuploadoptionview": {
            "title": "模型选项操作视图",
            "caption": "模型",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelFileUploadOptionView",
            "viewtag": "41b38001a2dfdc429206ee49d0ec3a2c"
        },
        "metadataseteditview": {
            "title": "数据集编辑视图",
            "caption": "数据集",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDataSetEditView",
            "viewtag": "43523e981c1757d67545cf77448df32e"
        },
        "dictoptiongrideditview": {
            "title": "字典项表格视图",
            "caption": "字典项",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "dict",
            "viewname": "DictOptionGridEditView",
            "viewtag": "44488f30cf90677019077ed9ad33628e"
        },
        "metamodelpickupview": {
            "title": "模型数据选择视图",
            "caption": "模型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelPickupView",
            "viewtag": "576926a1494d9d3727dbd9c2c16ef2fc"
        },
        "metaentitypickupview": {
            "title": "实体数据选择视图",
            "caption": "实体",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityPickupView",
            "viewtag": "601fb9bf6eec2a7e264e7142017715a4"
        },
        "metaentityeditview": {
            "title": "实体编辑视图",
            "caption": "实体",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityEditView",
            "viewtag": "6154840ea9105fe78d20a257acce50ba"
        },
        "metamodeleditview": {
            "title": "模型编辑视图",
            "caption": "模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelEditView",
            "viewtag": "62c99660031ae1998bb8c9c95fe4661a"
        },
        "metamodulepickupview": {
            "title": "模块数据选择视图",
            "caption": "模块",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModulePickupView",
            "viewtag": "6c1c3923e62702394622b642a9952bd7"
        },
        "dstsystempickupgridview": {
            "title": "系统选择表格视图",
            "caption": "系统",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemPickupGridView",
            "viewtag": "6f7ee661b3b7394072fca45b82778c60"
        },
        "tablesyncgridview": {
            "title": "ETL表同步表格视图",
            "caption": "ETL表同步",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "TableSyncGridView",
            "viewtag": "711856b4909033540580df144edfadaa"
        },
        "dictcataloggridview": {
            "title": "字典表格视图",
            "caption": "字典",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "dict",
            "viewname": "DictCatalogGridView",
            "viewtag": "74a6ce3ddf610ce7fb201662c6d4b8da"
        },
        "execloggridview": {
            "title": "执行日志表格视图",
            "caption": "执行日志",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "ExecLogGridView",
            "viewtag": "7e1cec28eed9586179bc9faf185e2438"
        },
        "dictcatalogpickupgridview": {
            "title": "字典选择表格视图",
            "caption": "字典",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "dict",
            "viewname": "DictCatalogPickupGridView",
            "viewtag": "842cfc03d5e93435fc52d317a55cdfd4"
        },
        "ruleitemeditview": {
            "title": "规则编辑视图",
            "caption": "规则",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemEditView",
            "viewtag": "8535e2478b0d287f36e1edf2000479ba"
        },
        "dabuildeditview": {
            "title": "分析编辑视图",
            "caption": "分析",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildEditView",
            "viewtag": "86eb9ea66cbe65aa8348cd1747426eae"
        },
        "ruleenginegridview": {
            "title": "规则引擎表格视图",
            "caption": "规则引擎",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "RuleEngineGridView",
            "viewtag": "8d5817013c9452f561aeef003fcf5a98"
        },
        "dstappgridview": {
            "title": "应用表格视图",
            "caption": "应用",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppGridView",
            "viewtag": "8f713abf416271b5aac44667872fa88a"
        },
        "metafieldpickupgridview": {
            "title": "属性选择表格视图",
            "caption": "属性",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldPickupGridView",
            "viewtag": "914cae9916bd367675367665e8165397"
        },
        "dstdatasourcepickupgridview": {
            "title": "数据源选择表格视图",
            "caption": "数据源",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourcePickupGridView",
            "viewtag": "9316344c289b67395ed3b2bcdee6674e"
        },
        "metamodelmpickupview": {
            "title": "模型数据多项选择视图",
            "caption": "模型",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelMPickupView",
            "viewtag": "939958f951157ee8598beea8b75296e9"
        },
        "dadimensioneditview": {
            "title": "维度编辑视图",
            "caption": "维度",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DADimensionEditView",
            "viewtag": "971cbb763403b73f58d5ae10a7f633c8"
        },
        "ruleitempickupview": {
            "title": "规则数据选择视图",
            "caption": "规则",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemPickupView",
            "viewtag": "9804545abe1a801b72c3d551d712e6c7"
        },
        "dareporteditview": {
            "title": "报表编辑视图",
            "caption": "报表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DAReportEditView",
            "viewtag": "9e70e297556aa0bb0ec3f34a531f1dea"
        },
        "execlogeditview": {
            "title": "执行日志编辑视图",
            "caption": "执行日志",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "ExecLogEditView",
            "viewtag": "9f9716cae059c8578b81da257c0c5334"
        },
        "ruleengineeditview": {
            "title": "规则引擎编辑视图",
            "caption": "规则引擎",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "RuleEngineEditView",
            "viewtag": "a4f976c32217f96e592786ea7e745ff6"
        },
        "execresultgridview": {
            "title": "执行结果表格视图",
            "caption": "执行结果",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "ExecResultGridView",
            "viewtag": "a89d64bcfdf869b918a8e53848942f13"
        },
        "metaentitygridview": {
            "title": "实体表格视图",
            "caption": "实体",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityGridView",
            "viewtag": "a931b2778d30f3ec51ca895d85b6da69"
        },
        "dabuildpickupgridview": {
            "title": "分析选择表格视图",
            "caption": "分析",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildPickupGridView",
            "viewtag": "a96a8ba71defc9711d3ef4ef1d68ae2c"
        },
        "dictcatalogpickupview": {
            "title": "字典数据选择视图",
            "caption": "字典",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "dict",
            "viewname": "DictCatalogPickupView",
            "viewtag": "a9c82814d9bcd23dbf78c4c073759d7c"
        },
        "dstsystemgridview": {
            "title": "系统表格视图",
            "caption": "系统",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstSystemGridView",
            "viewtag": "aba2be52d4c2de842f461967ce08cf7d"
        },
        "dictcatalogeditview": {
            "title": "字典编辑视图",
            "caption": "字典",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "dict",
            "viewname": "DictCatalogEditView",
            "viewtag": "aef11c4ae15f8255ee53623adf148f2a"
        },
        "dstdatasourcegridview": {
            "title": "数据源表格视图",
            "caption": "数据源",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstDataSourceGridView",
            "viewtag": "b8139b901aee5b9b689750315f24c19f"
        },
        "metadatasetgridview": {
            "title": "数据集表格视图",
            "caption": "数据集",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaDataSetGridView",
            "viewtag": "b88526b042da335fe07234b43a635ddf"
        },
        "metafieldgridview": {
            "title": "属性表格视图",
            "caption": "属性",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldGridView",
            "viewtag": "b88a264578c3f2db0b97abbb45d4bbeb"
        },
        "metamodelimportfile": {
            "title": "模型实体导入文件",
            "caption": "模型实体导入文件",
            "viewtype": "DEHTMLVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelimportFile",
            "viewtag": "b95d76920dd1fff12bbe3192879b8acd"
        },
        "metafieldeditview": {
            "title": "属性编辑视图",
            "caption": "属性",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldEditView",
            "viewtag": "bb9eb1a62b96ec02d1dec3f0fd06791e"
        },
        "metaentitypickupgridview": {
            "title": "实体选择表格视图",
            "caption": "实体",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaEntityPickupGridView",
            "viewtag": "bca764edbe3a023fe784399d384f57dc"
        },
        "metafieldpickupview": {
            "title": "属性数据选择视图",
            "caption": "属性",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "MetaFieldPickupView",
            "viewtag": "c1fb92872e54e6b289956cd595c8f392"
        },
        "execresulteditview": {
            "title": "执行结果编辑视图",
            "caption": "执行结果",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "rule",
            "viewname": "ExecResultEditView",
            "viewtag": "c260fb027b5ea6942b9acc9842fffcba"
        },
        "dacharteditview": {
            "title": "图表编辑视图",
            "caption": "图表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "analysis",
            "viewname": "DAChartEditView",
            "viewtag": "c7de509d3488c91db58688723d81bc2f"
        },
        "dabuildpickupview": {
            "title": "分析数据选择视图",
            "caption": "分析",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "analysis",
            "viewname": "DABuildPickupView",
            "viewtag": "ce45a03c997e5b2884a6f102134434c3"
        },
        "metamodelgridview": {
            "title": "模型表格视图",
            "caption": "模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaModelGridView",
            "viewtag": "d648f6f7c56469a2007158ceb05aa6e5"
        },
        "ruleitemgridview": {
            "title": "规则表格视图",
            "caption": "规则",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemGridView",
            "viewtag": "d9b34e37cfc5c4aad5069a0420940fb6"
        },
        "dametricgridview": {
            "title": "指标表格视图",
            "caption": "指标",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "analysis",
            "viewname": "DAMetricGridView",
            "viewtag": "ddd57351b9ba3e36ded697a14e5a8387"
        },
        "dstappeditview": {
            "title": "应用编辑视图",
            "caption": "应用",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppEditView",
            "viewtag": "e57dde4a4a70fd4458b00dcd9b3c7823"
        },
        "metarelationshipeditgridview": {
            "title": "实体关系表格视图",
            "caption": "实体关系",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipEditGridView",
            "viewtag": "e6680f2a41992382be6a1ffde17df734"
        },
        "dareportbbzscustomview": {
            "title": " 报表展示",
            "caption": "报表",
            "viewtype": "DECUSTOMVIEW",
            "viewmodule": "analysis",
            "viewname": "DAReportBBZSCustomView",
            "viewtag": "eba227704fadf322603ac46c2d3f2f8c"
        },
        "ruleitemmpickupview": {
            "title": "规则数据多项选择视图",
            "caption": "规则",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemMPickupView",
            "viewtag": "ebdaf39cb21ea20b3b7780e424cc6adf"
        },
        "dstapppickupgridview": {
            "title": "应用选择表格视图",
            "caption": "应用",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppPickupGridView",
            "viewtag": "ec0d8da500f87df29eb02d252654c2a5"
        },
        "dstapppickupview": {
            "title": "应用数据选择视图",
            "caption": "应用",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "lite",
            "viewname": "DstAppPickupView",
            "viewtag": "efdf7abd89e09c4a57ab2fa94972d485"
        },
        "ruleitempickupgridview": {
            "title": "规则选择表格视图",
            "caption": "规则",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "rule",
            "viewname": "RuleItemPickupGridView",
            "viewtag": "f5f5de8c3626605a2f61f1139583dc98"
        },
        "metarelationshipeditview": {
            "title": "实体关系编辑视图",
            "caption": "实体关系",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "lite",
            "viewname": "MetaRelationshipEditView",
            "viewtag": "ff5248be5ad816954b6a8f4aec3425cb"
        }
    }];
});

// 获取视图消息分组信息
mock.onGet('./assets/json/view-message-group.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
    }];
});